Subject: bug#48595: `guix install mes` fails in 'check'-phase

From: Ekaitz Zarraga <[email-masked]>
Date: Tue, 27 Jul 2021 08:11:37 +0000

Hi,

I found the same issue while trying to set the environment for gnu-mes using the scripts the directory includes.

I updated the mescc-tools version to 1.1.0 and it worked.

I attach a possible patch for the `mes` repository that can easily be translated for the `guix` package.

hth,

Ekaitz

>From 828ba527e652de9166eddf24a9296b5aa2db3f79 Mon Sep 17 00:00:00 2001
From: Ekaitz Zarraga <[email-masked]>
Date: Tue, 27 Jul 2021 10:00:30 +0200
Subject: [PATCH] Update guix helper files

Bump mescc-tools to 1.1.0
---
 guix/git/mes.scm | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/guix/git/mes.scm b/guix/git/mes.scm
index 0c7c5566..21b8591a 100644
--- a/guix/git/mes.scm
+++ b/guix/git/mes.scm
@@ -54,7 +54,7 @@
 (define-public mescc-tools
   (package
     (name "mescc-tools")
-    (version "0.7.0")
+    (version "1.1.0")
     (source
      (origin
        (method url-fetch)
@@ -65,7 +65,7 @@
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
         (base32
-         "1p1ijia4rm3002f5sypidl9v5gq0mlch9b0n61rpxkdsaaxjqax3"))))
+         "12cjryqfd6m6j807pvhk7i4vr2q0jiibpfrpnq5s67iq9l4rrc6b"))))
     (build-system gnu-build-system)
     (supported-systems
      '("aarch64-linux" "armhf-linux" "i686-linux" "x86_64-linux"))
@@ -80,6 +80,7 @@
                       (substitute* "sha256.sh"
                         (("/usr/bin/sha256sum") (which "sha256sum")))
                       #t)))))
+    (propagated-inputs `(("which" ,which)))
     (synopsis "Tools for the full source bootstrapping process")
     (description
      "Mescc-tools is a collection of tools for use in a full source
-- 

2.31.0